DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MedianFilter

Non-linear smoothing filter

## SYNOPSIS

`#include "dip_morphology.h"`

dip_Error dip_MedianFilter ( in, out, se, boundary, filterParam, shape )

## DATA TYPES

integer, float

## FUNCTION

Median filter with different structuring elements.

If `shape` is not equal to `DIP_FLT_SHAPE_STRUCTURING_ELEMENT`, `se` is allowed to be set to zero. When `shape` is set to `DIP_FLT_SHAPE_STRUCTURING_ELEMENT`, `filterParam` is ignored, (and can be set to zero).

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_Image` | `se` | Structuring element
`dip_BoundaryArray` | `boundary` | Boundary conditions
`dip_FloatArray` | `filterParam` | Filter parameters
`dip_FilterShape` | `shape` | Filter shape

The enumerator `dip_FilterShape` contains the following constants:

Name | Description
`DIP_FLT_SHAPE_DEFAULT` | default structuring element, same as `DIP_FLT_SHAPE_RECTANGULAR`
`DIP_FLT_SHAPE_RECTANGULAR` | rectangular structuring element
`DIP_FLT_SHAPE_ELLIPTIC` | elliptic structuring element
`DIP_FLT_SHAPE_DIAMOND` | diamond shaped structuring element
`DIP_FLT_SHAPE_PARABOLIC` | parabolic structuring element
`DIP_FLT_SHAPE_STRUCTURING_ELEMENT` | use `se` as structuring element

## NOTE

The filter shape `DIP_FLT_SHAPE_PARABOLIC`, as well as custom grey-value shapes, are not supported.

## SEE ALSO

`PercentileFilter`, `Uniform`, `Sigma`

DIPlib on-line documentation | Function reference | Global function index